//Last edited October 27, 2011 by Matthew Groh
clear
set more off
set mem 400m
cd "C:\Documents and Settings\mgroh\My Documents\Dropbox\QJPS"
insheet using deltaFX.csv, clear
reshape long y, i(country) j(year)
rename  y fx
sort cty year
save deltaFX.dta, replace
use Data\rosspanel.dta, clear
destring year, replace
replace cty = strreverse(cty)
replace cty = substr(cty,2,.)
replace cty = strreverse(cty)
replace cty = substr(cty,2,.)
sort cty year
merge cty year using deltaFX.dta, uniqmaster
drop if _m~=3

keep cty year id2 fx zFDlogGDPcap_1 zFDlogGDPcapSQ_1 zFDage_1 zFDoil_gas_rentPOP_1 zFDlaborfemale
xtset id2 year

*******************************************************************************************************
//Table 3a
*******************************************************************************************************
local x=5
local j = 1
local rhsout
local model1 xtreg fx             zFDlogGDPcap_1 zFDlogGDPcapSQ_1 zFDage_1, fe
local model2 xtreg fx             zFDlogGDPcap_1 zFDlogGDPcapSQ_1 zFDage_1 zFDoil_gas_rentPOP_1, fe
local model3 xtreg fx             zFDlogGDPcap_1 zFDlogGDPcapSQ_1 zFDage_1 zFDoil_gas_rentPOP_1 if id2~=87 & id2~=134, fe
local model4 xi: xtreg  fx i.year zFDlogGDPcap_1 zFDlogGDPcapSQ_1 zFDage_1 zFDoil_gas_rentPOP_1, fe
local model5 xtreg fx                                                      zFDoil_gas_rentPOP_1, fe

	forval x=1/`x' {
		`model`x''
		estimates store reg`j'
		local rhsout `rhsout' reg`j'
		local j =`j'+1
	}
xml_tab `rhsout' , below stats(N, r2_a) stars(0) save(Table3a.xls) replace
*******************************************************************************************************

*******************************************************************************************************
//Table 3b
*******************************************************************************************************
local x=5
local j = 1
local rhsout
local model1 xtreg zFDlaborfemale             zFDlogGDPcap_1 zFDlogGDPcapSQ_1 zFDage_1, fe
local model2 xtreg zFDlaborfemale             zFDlogGDPcap_1 zFDlogGDPcapSQ_1 zFDage_1 fx, fe
local model3 xtreg zFDlaborfemale             zFDlogGDPcap_1 zFDlogGDPcapSQ_1 zFDage_1 fx if id2~=87 & id2~=134, fe
local model4 xi: xtreg  zFDlaborfemale i.year zFDlogGDPcap_1 zFDlogGDPcapSQ_1 zFDage_1 fx, fe
local model5 xtreg zFDlaborfemale                                                      fx, fe

	forval x=1/`x' {
		`model`x''
		estimates store reg`j'
		local rhsout `rhsout' reg`j'
		local j =`j'+1
	}
xml_tab `rhsout' , below stats(N, r2_a) stars(0) save(Table3b.xls) replace
*******************************************************************************************************
