//Last edited October 27, 2011 by Matthew Groh
clear
set more off
set memory 200m

cd "C:\Documents and Settings\mgroh\My Documents\Dropbox\QJPS\"
use "Data\rosscross.dta"
encode id, gen (id2)

/*

Arabian Peninsula

SAU = 134, BHR = 16, KWT = 87, OMN = 120, ARE = 4,, QTR = 130, YEM = 165

Rest of the Middle East and North Africa

IRQ = 75, JOR = 80, EGY = 48, DJI = 43, IRN = 74, LBY = 91, SYR = 147, LBN = 89, TUN = 154, ALG = 46, MOR = 97 

*/

gen peninsula=0
replace peninsula= 1 if id2==134 | id2==16 | id2==87 | id2==120 | id2==4 | id2==130 | id2==165
gen restofmena=0
replace restofmena=1 if id2==75 |id2==80 | id2==48 |id2==43 |id2==74 | id2==91 | id2==147 |id2==89 | id2==154 | id2==46 | id2== 97
gen interactionpeninsula = peninsula*zoil_gas_rentPOP
gen interactionrestofmena = restofmena*zoil_gas_rentPOP
gen interactionme_nafr = me_nafr*zoil_gas_rentPOP

local x=7
local j = 1
local rhsout
local lhs zlaborfemaleMOD
local rhs1 zlogGDPcap zlogGDPcap2 zage15_64 zoil_gas_rentPOP zislam zcommie zme_nafr 
local rhs2 zlogGDPcap zlogGDPcap2 zage15_64 zoil_gas_rentPOP zislam zcommie zme_nafr  interactionme_nafr
local rhs3 zlogGDPcap zlogGDPcap2 zage15_64 zoil_gas_rentPOP zislam zcommie restofmena peninsula
local rhs4 zlogGDPcap zlogGDPcap2 zage15_64 zoil_gas_rentPOP zislam zcommie restofmena peninsula interactionrestofmena  interactionpeninsula
local rhs5 zlogGDPcap zlogGDPcap2 zage15_64 zoil_gas_rentPOP zislam zcommie peninsula
local rhs6 zlogGDPcap zlogGDPcap2 zage15_64 zoil_gas_rentPOP zislam zcommie peninsula interactionpeninsula
local rhs7 zlogGDPcap zlogGDPcap2 zage15_64 zoil_gas_rentPOP zislam zcommie if peninsula==0



	forval x=1/`x' {
		reg `lhs' `rhs`x'', robust
		estimates store reg`j'
		local rhsout `rhsout' reg`j'
		local j =`j'+1
	}
xml_tab `rhsout' , below stats(N, r2_a) stars(0) save(Table1.xls) replace


gen pos=3
replace pos = 9 if id2 == 130
replace pos = 5 if id2 == 147
replace pos = 9 if id2 == 43
replace pos = 12 if id2 == 46


*Replicate Ross' graph
twoway (scatter laborfemaleMOD zoil_gas_rentPOP, mlabel(id2) mlabv(pos)) (lfit laborfemaleMOD zoil_gas_rentPOP)
graph save Graph "Rossgraph.gph", replace

*Graph 1a
twoway (lfitci laborfemaleMOD zoil_gas_rentPOP if me_nafr==1, col(brown) )(lfitci laborfemaleMOD zoil_gas_rentPOP if peninsula==1) (lfitci laborfemaleMOD zoil_gas_rentPOP if restofmena==1) (scatter laborfemaleMOD zoil_gas_rentPOP if peninsula==1, mlabel(id2) mlabv(pos) col(red) mlabcolor(red)) (scatter laborfemaleMOD zoil_gas_rentPOP if restofmena==1, mlabel(id2) mlabv(pos) col(blue) mlabcolor(blue))
graph save Graph "graph1.gph", replace

*Graph 1b
twoway (lfitci laborfemaleMOD zoil_gas_rentPOP if me_nafr==0) (lfitci laborfemaleMOD zoil_gas_rentPOP if restofmena==1) (lfitci laborfemaleMOD zoil_gas_rentPOP if peninsula==1) (scatter laborfemaleMOD zoil_gas_rentPOP if me_nafr==0) (scatter laborfemaleMOD zoil_gas_rentPOP if restofmena==1) (scatter laborfemaleMOD zoil_gas_rentPOP if peninsula==1)
graph save Graph "graph2.gph", replace
