//Last Edit October 27, 2011 by Matthew Groh
clear
set more off
set memory 200m
cd "C:\Documents and Settings\mgroh\My Documents\Dropbox\QJPS"
use Data\rosspanel.dta
destring year, replace
tsset id2 year

sort id2
merge id2 using Data\islam_merger_cr, uniqusing

*Generate Variables

gen peninsula=0
replace peninsula=1 if id2==134 | id2==16 | id2==87 | id2==120 | id2==4 | id2==130 | id2==164
gen n_peninsula=(peninsula*-1)+1 
gen restofmena=0
replace restofmena=1 if id2==75 |id2==80 | id2==48 |id2==43 |id2==74 | id2==91 | id2==147 |id2==89 | id2==154 | id2==46 | id2== 97
gen mena=0
replace mena=1 if peninsula==1 | restofmena==1 
gen n_mena=(mena*-1)+1

gen mena_oil= zFDoil_gas_rentPOP_1*mena
gen n_mena_oil= zFDoil_gas_rentPOP_1*n_mena
gen peninsula_oil= zFDoil_gas_rentPOP_1*peninsula
gen n_peninsula_oil= zFDoil_gas_rentPOP_1*n_peninsula
gen restofmena_oil = zFDoil_gas_rentPOP_1*restofmena

rename _merge islam_merge
gen zislam_oil=zFDoil_gas_rentPOP_1*zislam

/* ***************************************************************** */
//Table 2
/* ***************************************************************** */
local x=3
local j = 1
local rhsout
local lhs zFDlaborfemale
local rhs1 zFDlogGDPcap_1 zFDlogGDPcapSQ_1 zFDage_1 
local rhs2 zFDlogGDPcap_1 zFDlogGDPcapSQ_1 zFDage_1 zFDoil_gas_rentPOP_1
local rhs3 zFDlogGDPcap_1 zFDlogGDPcapSQ_1 zFDage_1 zFDoil_gas_rentPOP_1 if id2~=87 & id2~=134

foreach dep in `lhs' {
	forval x=1/`x' {
		xtregar `dep' `rhs`x'', fe
		estimates store reg`j'
		local rhsout `rhsout' reg`j'
		local j =`j'+1
	}
	xi: xtreg  zFDlaborfemale i.year zFDlogGDPcap_1 zFDlogGDPcapSQ_1 zFDage_1 zFDoil_gas_rentPOP_1, fe
	estimates store reg`j'
	local rhsout `rhsout' reg`j'
}
xml_tab `rhsout' , below stats(N, r2_a) stars(0) save(Table2.xls) replace
/* ***************************************************************** */
//Table 4
/* ***************************************************************** */
local x=5
local j = 1
local rhsout

local model1 xtregar zFDlaborfemale zFDlogGDPcap_1 zFDlogGDPcapSQ_1 zFDage_1 zFDoil_gas_rentPOP_1, fe
local model2 xtreg   zFDlaborfemale zFDlogGDPcap_1 zFDlogGDPcapSQ_1 zFDage_1 zFDoil_gas_rentPOP_1, fe robust
local model3 xtreg   zFDlaborfemale zFDlogGDPcap_1 zFDlogGDPcapSQ_1 zFDage_1 n_mena_oil mena_oil, fe robust
local model4 xtreg   zFDlaborfemale zFDlogGDPcap_1 zFDlogGDPcapSQ_1 zFDage_1 n_mena_oil peninsula_oil restofmena_oil, fe robust
local model5 xtreg   zFDlaborfemale zFDlogGDPcap_1 zFDlogGDPcapSQ_1 zFDage_1 n_peninsula_oil peninsula_oil, fe robust


	forval x=1/`x' {
		`model`x''
		estimates store reg`j'
		local rhsout `rhsout' reg`j'
		local j =`j'+1
	}
xml_tab `rhsout' , below stats(N, r2_a) stars(0) save(Table4.xls) replace
/* ***************************************************************** */
//Table 5
/* ***************************************************************** */
local x=6
local j = 1
local rhsout
local model1 xtregar zFDlaborfemale zFDlogGDPcap_1 zFDlogGDPcapSQ_1 zFDage_1 zFDoil_gas_rentPOP_1, re
local model2 xtreg   zFDlaborfemale zFDlogGDPcap_1 zFDlogGDPcapSQ_1 zFDage_1 zFDoil_gas_rentPOP_1, re robust
local model3 xtreg   zFDlaborfemale zFDlogGDPcap_1 zFDlogGDPcapSQ_1 zFDage_1 mena_oil n_mena_oil n_mena, re robust
local model4 xtreg   zFDlaborfemale zFDlogGDPcap_1 zFDlogGDPcapSQ_1 zFDage_1 n_mena_oil n_mena peninsula_oil restofmena_oil  peninsula, re robust
local model5 xtreg   zFDlaborfemale zFDlogGDPcap_1 zFDlogGDPcapSQ_1 zFDage_1 peninsula_oil peninsula n_peninsula_oil, re robust
local model6 xtreg   zFDlaborfemale zFDlogGDPcap_1 zFDlogGDPcapSQ_1 zFDage_1 peninsula_oil peninsula n_peninsula_oil zislam, re robust

	forval x=1/`x' {
		`model`x''
		estimates store reg`j'
		local rhsout `rhsout' reg`j'
		local j =`j'+1
	}
xml_tab `rhsout' , below stats(N, r2_a) stars(0) save(Table5.xls) replace
/* ***************************************************************** */

// Hausman Test
/* ***************************************************************** */
xtregar zFDlaborfemale zFDlogGDPcap_1 zFDlogGDPcapSQ_1 zFDage_1 zFDoil_gas_rentPOP_1, fe
estimates store fixed 
xtregar zFDlaborfemale zFDlogGDPcap_1 zFDlogGDPcapSQ_1 zFDage_1 zFDoil_gas_rentPOP_1, re
estimates store random
hausman fixed random
