clear
cap log close
set more off
pause on
set memory 200m

/*
Name: wvsexplore.do
Date Created: Aug 19, 2010
Programmer: Casey Rothschild
Date Modified: N/A
Modified By: N/A
Description: Are attitudes towards Sharia Law and other things related to Peninsular status?

Uses data: shortcvs.dta
*/

*Casey's file location
cd "C:\Documents and Settings\crothsch\My Documents\Middlebury\Ec 700\Matt\Postgraduation\Stata"

log using "agreeShria.log", replace
use "shortcvs.dta"

desc
tab ctryyr
tab ctryyr, nolabel

gen MENA=0
replace MENA=0 if ctryyr==1 
replace MENA=1 if ctryyr==2 
replace MENA=0 if ctryyr==3 
replace MENA=1 if ctryyr==4 
replace MENA=1 if ctryyr==5 
replace MENA=0 if ctryyr==6 
replace MENA=1 if ctryyr==7 
replace MENA=1 if ctryyr==8 
replace MENA=1 if ctryyr==9 
replace MENA=1 if ctryyr==10 
replace MENA=1 if ctryyr==11
replace MENA=1 if ctryyr==12 
replace MENA=0 if ctryyr==13 
replace MENA=0 if ctryyr==14 
replace MENA=1 if ctryyr==15 
replace MENA=0 if ctryyr==16 
replace MENA=0 if ctryyr==17 
replace MENA=0 if ctryyr==18 

gen peninsula=1 if ctryyr==15 
replace peninsula=0 if peninsula==.

gen restofmena=1 if peninsula==0 & MENA==1
replace restofmena=0 if restofmena==.

* Question: why so few countries? Is this just a subset of the WVS? 
* Probably just that these questions were only asked in these countries...

tab govshria
tab govshria, nolabel
drop if govshria<0
gen agreeshria=1 if govshria<=2
replace agreeshria=0 if agreeshria==.

tab ctryyr if govshria!=.

reg agreeshria peninsula restofmena
dprobit agreeshria peninsula restofmena

* Note that the answers are the same for both of these

gen region=0 if MENA==0
replace region=1 if restofmena==1
replace region=2 if peninsula==1
tab region
egen agreefrac=mean(agreeshria), by(region)
tab agreefrac region

log close
